<?php

if(core::ifGet("name") AND core::ifGet("value")){
    if(core::getGet("value") == "true"){
        if(core::updateConfig(core::getGet("name"), 1) == TRUE){
            alert::recSuccess(core::getGet("name") . " est activé");
            echo json_encode(array("1"));
        } else {
            alert::recError("Activation de " . core::getGet("name") . " en erreur");
        }
    } else {
        if(core::updateConfig(core::getGet("name"), 0) == TRUE){
            alert::recSuccess(core::getGet("name") . " est désactivé");
            echo json_encode(array("0"));
        } else {
            alert::recError("Désactivation de " . core::getGet("name") . " en erreur");
        }
    }
}

header("Location: /parametres.html");
exit();
